org.apache.struts2.url

## Class StrutsQueryStringParser

- java.lang.Object
- - org.apache.struts2.url.StrutsQueryStringParser

- All Implemented Interfaces:
    Serializable, QueryStringParser

      public class StrutsQueryStringParser
      extends Object
      implements QueryStringParser

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StrutsQueryStringParser.StrutsQueryStringParserResult`

    - ### Nested classes/interfaces inherited from interface org.apache.struts2.url.QueryStringParser

      `QueryStringParser.Result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsQueryStringParser(UrlDecoder decoder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryStringParser.Result` | `empty()` Return an empty `QueryStringParser.Result`
    `QueryStringParser.Result` | `parse(String queryString)`
    `Map<String,Object>` | `parse(String queryString, boolean forceValueArray)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsQueryStringParser

          public StrutsQueryStringParser(UrlDecoder decoder)

  - ### Method Detail

    - #### parse

          public Map<String,Object> parse(String queryString,
                                          boolean forceValueArray)

      Specified by:
        `parse` in interface `QueryStringParser`

    - #### parse

          public QueryStringParser.Result parse(String queryString)

      Specified by:
        `parse` in interface `QueryStringParser`
      Parameters:
        `queryString` - a query string to parse
      Returns:
        a `QueryStringParser.Result` of parsing the query string

    - #### empty

          public QueryStringParser.Result empty()

      Description copied from interface: `QueryStringParser`
      Return an empty `QueryStringParser.Result`
      Specified by:
        `empty` in interface `QueryStringParser`
      Returns:
        empty result

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.